/*

*/

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Dimension;
import javax.swing.JPanel;

/**
   This class has the responsibility of updating
   what we see (view) in the graphics panel.

   The paintComponent() method will be called by the
   Event Dispatch Thread (the "GUI thread") whenever
   the GUI system decides that this panel needs to be
   redrawn.

   An instance of this class needs access to an object
   that holds the current state of out graphics program.
*/
@SuppressWarnings("serial")
public class CirclePanel extends JPanel
{
   private final CircleState cs;

   public CirclePanel(CircleState cs)
   {
      this.cs = cs;
      setPreferredSize(new Dimension(600, 600));
   }


   @Override
   public void paintComponent(Graphics g)
   {
      g.setColor(Color.white);
      g.fillOval(cs.xOld, cs.yOld, 20, 20); // erase old disk
      g.setColor(Color.red);
      g.fillOval(cs.xNew, cs.yNew, 20, 20); // draw new disk
      cs.xOld = cs.xNew;
      cs.yOld = cs.yNew;
   }
}
