/*

*/
import javax.swing.JFrame;
import javax.swing.JButton;
import java.awt.FlowLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
   When you run this program, watch the console window
   to get information about how your actions are
   interpreted by the Java GUI framework.
*/
public class EventExperiment1
{
   public static void main( String[] args )
   {
      JFrame jf = new JFrame();
      jf.setSize(300, 300);
      jf.setTitle("Event Experiment 1");
      jf.setVisible(true);

      jf.setLayout(new FlowLayout());

      JButton jb = new JButton("Hi");

      // Send a message to the JFrame object that it
      // should add the JButton object to its display.
      jf.add(jb);

      // This is how we can make the button do something.
      jb.addActionListener(
         new ActionListener() // Anonymous inner class.
         {  // Implement the ActionListener interface.
            public void actionPerformed(ActionEvent e)
            {
               System.out.println("Ouch.");
            }
         }
      );

      // This is how we can make the mouse do something.
      jb.addMouseListener(
         new MouseAdapter() // Anonymous inner class.
         {  // Implement part of the MouseListener interface.
            public void mouseEntered(MouseEvent e)
            {
               System.out.println("Ouch Ouch.");
            }
         }
      );
   }
}
