/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/ActionListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/ActionEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Action
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Action Events");
      jf.setLayout(new FlowLayout());
      jf.setSize(400, 400);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      JComboBox<String> combobox = new JComboBox<>();
      combobox.addItem("Item 1");
      combobox.addItem("Item 2");
      combobox.addItem("Item 3");
      combobox.addActionListener(new HandleAction());
      jf.add(combobox);
   }
}

class HandleAction implements ActionListener
{
   @Override public void actionPerformed(ActionEvent e){System.out.println(e+"\n");}
}

/*
NOTE: This program builds its GUI in the main thread. That
is not the correct way to build a GUI and it causes the
GUI to sometimes not appear. The GUI should be built on
Java's Event Dispatch Thread (Java's "gui thread").
*/
