/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/AdjustmentListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/AdjustmentEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Adjustment
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Adjustment Events");
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      JScrollBar sbV = new JScrollBar(JScrollBar.VERTICAL,   50, 2, 0, 100);
      JScrollBar sbH = new JScrollBar(JScrollBar.HORIZONTAL, 50, 2, 0, 100);
      sbV.addAdjustmentListener(new HandleAdjustment());
      sbH.addAdjustmentListener(new HandleAdjustment());
      jf.add(sbV, BorderLayout.EAST );
      jf.add(sbH, BorderLayout.SOUTH );
   }
}


class HandleAdjustment implements AdjustmentListener
{
   @Override public void adjustmentValueChanged(AdjustmentEvent e){System.out.println(e+"\n");}
}
