/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/ComponentListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/ComponentEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Component
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Component Events");
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      jf.addComponentListener(new HandleComponent());
   }
}

class HandleComponent implements ComponentListener
{
   @Override public void componentMoved(ComponentEvent e)  {System.out.println(e+"\n");}
   @Override public void componentHidden(ComponentEvent e) {System.out.println(e+"\n");}
   @Override public void componentShown(ComponentEvent e)  {System.out.println(e+"\n");}
   @Override public void componentResized(ComponentEvent e){System.out.println(e+"\n");}
}
