/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/FocusListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/FocusEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Focus
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Focus Events");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      jf.addFocusListener(new HandleFocus());

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me"));    // This takes over the focus!
      //jf.add(new JCheckBox("JCheckBox")); // This takes over the focus!
      //jf.add(new JComboBox<String>());    // This kind of takes over the focus.
   }
}

class HandleFocus implements FocusListener
{
   @Override public void focusGained(FocusEvent e){System.out.println(e+"\n");}
   @Override public void focusLost  (FocusEvent e){System.out.println(e+"\n");}
}
