/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/ItemListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/ItemEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Item
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Item Events");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      JComboBox<String> combobox = new JComboBox<>();
      combobox.addItem("Item 1");
      combobox.addItem("Item 2");
      combobox.addItem("Item 3");
      combobox.addItemListener(new HandleItem());
      jf.add(combobox);
   }
}

class HandleItem implements ItemListener
{
   @Override public void itemStateChanged(ItemEvent e){System.out.println(e+"\n");}
}

/*
NOTE: This program builds its GUI in the main thread. That
is not the correct way to build a GUI and it causes the
GUI to sometimes not appear. The GUI should be built on
Java's Event Dispatch Thread (Java's "gui thread").
*/
