/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/KeyListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/KeyEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Keys
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Key Events");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      jf.addKeyListener(new HandleKey());

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me"));    // This takes over the focus!
      //jf.add(new JCheckBox("JCheckBox")); // This takes over the focus!
      //jf.add(new JComboBox<String>());    // This kid of takes over the focus.
   }
}

class HandleKey implements KeyListener
{
   @Override public void keyPressed (KeyEvent e){System.out.println(e+"\n");}
   @Override public void keyReleased(KeyEvent e){System.out.println(e+"\n");}
   @Override public void keyTyped   (KeyEvent e){System.out.println(e+"\n");}
}
