/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/MouseListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/MouseEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Mouse
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Events");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      jf.addMouseListener(new HandleMouse());

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me"));    // This "absorbs" mouse clicks.
      //jf.add(new JCheckBox("JCheckBox")); // This "absorbs" mouse clicks.
      //jf.add(new JComboBox<String>());    // This "absorbs" mouse clicks.
   }
}

class HandleMouse implements MouseListener
{
   @Override public void mouseClicked (MouseEvent e){System.out.println(e+"\n");}
   @Override public void mouseEntered (MouseEvent e){System.out.println(e+"\n");}
   @Override public void mouseExited  (MouseEvent e){System.out.println(e+"\n");}
   @Override public void mousePressed (MouseEvent e){System.out.println(e+"\n");}
   @Override public void mouseReleased(MouseEvent e){System.out.println(e+"\n");}
}
