/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/MouseMotionListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/MouseEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Mouse_Motion
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Motion Events");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      jf.addMouseMotionListener(new HandleMotionListener());

      //jf.add(new JLabel("A JLabel"));
      //jf.add(new JButton("Click Me"));    // This "absorbs" mouse events.
      //jf.add(new JCheckBox("JCheckBox")); // This "absorbs" mouse events.
      //jf.add(new JComboBox<String>());    // This "absorbs" mouse events.
   }
}

class HandleMotionListener implements MouseMotionListener
{
   @Override public void mouseDragged(MouseEvent e){System.out.println(e+"\n");}
   @Override public void mouseMoved  (MouseEvent e){System.out.println(e+"\n");}
}
