/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/TextListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/TextEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Text
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Text Events");
      jf.setLayout(new FlowLayout());
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.setVisible(true);

      TextField textField = new TextField(15);
      textField.addTextListener(new HandleText());
      jf.add(textField);
   }
}

class HandleText implements TextListener
{
   @Override public void textValueChanged(TextEvent e){System.out.println(e+"\n");}
}
