/**
   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/WindowListener.html

   https://docs.oracle.com/en/java/javase/17/docs/api/java.desktop/java/awt/event/WindowEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class Watch_Window
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Window Events");
      jf.setSize(300, 300);
      jf.setLocationRelativeTo(null);
      jf.addWindowListener(new HandleW());
      jf.setVisible(true);
   }
}

class HandleW implements WindowListener
{
   @Override public void windowOpened     (WindowEvent e){System.out.println(e+"\n");}
   @Override public void windowActivated  (WindowEvent e){System.out.println(e+"\n");}
   @Override public void windowDeactivated(WindowEvent e){System.out.println(e+"\n");}
   @Override public void windowIconified  (WindowEvent e){System.out.println(e+"\n");}
   @Override public void windowDeiconified(WindowEvent e){System.out.println(e+"\n");}
   @Override public void windowClosing    (WindowEvent e){System.out.println(e+"\n");}
   @Override public void windowClosed     (WindowEvent e){System.out.println(e+"\n");}
}
